using Front.Program.ViewModels;
using Microsoft.AspNetCore.Components;

namespace Front.Program.Views.Academy;

public partial class TopNavAcademy : ComponentBase
{
    [Inject] UserViewModel UserViewModel { get; set; } = default!;
    

    protected bool isOpen = false;

    protected override async Task OnInitializedAsync()
    {
        Console.WriteLine("TOPNAV_OnInitializedAsync");
        
        if (string.IsNullOrEmpty(UserViewModel.UserData.Name))
        { 
            await UserViewModel.GetUserDataAsync();
        }
    }
}